PKIMessages (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cmp

## Class PKIMessages

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmp.PKIMessages

- All Implemented Interfaces:
    ASN1Encodable, Encodable
  Direct Known Subclasses:
    NestedMessageContent

      public class PKIMessages
      extends ASN1Object

  PKIMessages ::= SEQUENCE SIZE (1..MAX) OF PKIMessage

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PKIMessages(ASN1Sequence seq)`
    `` | `PKIMessages(PKIMessage msg)`
    `` | `PKIMessages(PKIMessage[] msgs)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PKIMessages` | `getInstance(java.lang.Object o)`
    `ASN1Primitive` | `toASN1Primitive()` PKIMessages ::= SEQUENCE SIZE (1..MAX) OF PKIMessage
    `PKIMessage[]` | `toPKIMessageArray()`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PKIMessages

          protected PKIMessages(ASN1Sequence seq)

    - #### PKIMessages

          public PKIMessages(PKIMessage msg)

    - #### PKIMessages

          public PKIMessages(PKIMessage[] msgs)

  - ### Method Detail

    - #### getInstance

          public static PKIMessages getInstance(java.lang.Object o)

    - #### toPKIMessageArray

          public PKIMessage[] toPKIMessageArray()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

           PKIMessages ::= SEQUENCE SIZE (1..MAX) OF PKIMessage

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a basic ASN.1 object representation.